library(shiny)

shinyUI(fluidPage(

  titlePanel("Calculate a Percentile"),

  sidebarLayout(
      sidebarPanel(
          selectInput("which","Choose type of data",
              choices=c("Type I","Type II","Type III","Type IIII")),
          numericInput("n","Sample Size n", min=5,max=1000,value=100),             
          selectInput("whichp","Which Percentile?",
              choices=c("First Quartile","Third Quartile","Other")),
          conditionalPanel( condition = "input.whichp == 'Other'",
                 numericInput("p","p",min=0,max=100,value=50,step=1)),        
          selectInput("ord","Should data be ordered?",
              choices=c("No","Yes")),
          selectInput("sol","Show Solution?",
              choices=c("No","Yes")),              
          uiOutput("appinfo"),width=3
        ),
     mainPanel(
          uiOutput("text")
     )  
  ),
    
  uiOutput("explainText")    
))

